OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
VrmlConverter

# VrmlConverter_HLRShape Class Reference

HLRShape - computes the presentation of objects
with removal of their hidden lines for a specific
projector, converts them into VRML objects and
writes (adds) them into anOStream. All requested
properties of the representation are specify in
aDrawer of Drawer class. This kind of the presentation
is converted into IndexedLineSet and if they are defined
in Projector into :
PerspectiveCamera,
OrthographicCamera,
DirectionLight,
PointLight,
SpotLight
from Vrml package.
.

`#include <VrmlConverter_HLRShape.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT void | Add (Standard_OStream &anOStream, const TopoDS_Shape &aShape, const Handle(VrmlConverter_Drawer)&aDrawer, const Handle(VrmlConverter_Projector)&aProjector)

## Member Function Documentation

static Standard_EXPORT void VrmlConverter_HLRShape::Add | ( | Standard_OStream & | anOStream,
|  | const TopoDS_Shape & | aShape,
|  | const Handle(VrmlConverter_Drawer)& | aDrawer,
|  | const Handle(VrmlConverter_Projector)& | aProjector
| ) | `[static]`

void VrmlConverter_HLRShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* VrmlConverter_HLRShape::operator new | ( | size_t | size | ) | `[inline]`

void* VrmlConverter_HLRShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- VrmlConverter_HLRShape.hxx